#
# spec file for package ghc-fast-logger
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name fast-logger
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        3.1.1
Release:        bp154.1.11
Summary:        A fast logging system
License:        BSD-3-Clause
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-auto-update-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-easy-file-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-unix-time-devel
ExcludeArch:    %{ix86}
%if %{with tests}
BuildRequires:  ghc-hspec-devel
%endif

%description
A fast logging system for Haskell.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc ChangeLog.md README.md

%changelog
* Thu Jan 20 2022 Peter Simons <psimons@suse.com>
- Update fast-logger to version 3.1.1.
  [#]# 3.1.1
  * More time-ordered logging functions
    [#199](https://github.com/kazu-yamamoto/logger/pull/199
  [#]# 3.1.0
  * Having a single Buffer in LoggerSet for locking [#197](https://github.com/kazu-yamamoto/logger/pull/197.
    This would have performance penalty. So, the major version bumps up. If you see performance regression, please register an issue on github.
* Fri Apr 30 2021 psimons@suse.com
- Update fast-logger to version 3.0.5.
  [#]# 3.0.5
  * recovering backward compatibility for newFileLoggerSet.
* Wed Apr 28 2021 psimons@suse.com
- Update fast-logger to version 3.0.4.
  [#]# 3.0.4
  * New API: `newFastLogger1` which use only one capability.
  * Making `FD` safer with `invalidFD`.
* Fri Feb 19 2021 psimons@suse.com
- Update fast-logger to version 3.0.3.
  [#]# 3.0.3
  * Dropping support of GHC 7.x.
  * Add `ToLogStr` instance for `ShortByteString`. Add lower bound on
    `bytestring` dependency to ensure that `bytestring` exports
    `Data.ByteString.Short`.
  [#]# 3.0.2
  * Fixing documentation.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Sep 29 2020 psimons@suse.com
- Update fast-logger to version 3.0.2.
  Upstream has not updated the file "ChangeLog.md" since the last
  release.
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun  9 2020 psimons@suse.com
- Add fast-logger at version 3.0.1.
